Index: src/other/togl/CMake/FindTCL.cmake
===================================================================
--- src/other/togl/CMake/FindTCL.cmake	(revision 54114)
+++ src/other/togl/CMake/FindTCL.cmake	(working copy)
@@ -240,13 +240,13 @@
 set(TCL_POSSIBLE_MINOR_VERSIONS 6 5 4 3 2 1 0)
 
 # Create the Tcl/Tk options if not already present
-OPTION(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
-OPTION(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
-OPTION(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
-OPTION(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
-OPTION(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
-OPTION(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
-OPTION(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
+option(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
+option(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
+option(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
+option(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
+option(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
+option(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
+option(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
 
 # Sanity check the settings - can't require both Native and X11 if X11 isn't
 # the native windowing system on the platform
@@ -282,7 +282,7 @@
 macro(TK_GRAPHICS_SYSTEM wishcmd resultvar)
   set(${resultvar} "wm-NOTFOUND")
   file(WRITE ${tkwin_scriptfile} ${tkwin_script})
-  EXEC_PROGRAM(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TK_WINDOWINGSYSTEM readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -300,7 +300,7 @@
 macro(TCL_GET_VERSION tclshcmd resultvar)
   set(${resultvar} "NOTFOUND")
   file(WRITE ${tclversion_scriptfile} ${tclversion_script})
-  EXEC_PROGRAM(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_VERSION readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -318,7 +318,7 @@
 	macro(TCL_ISTHREADED tclshcmd resultvar)
 	  set(${resultvar} "NOTFOUND")
 	  file(WRITE ${tclthreaded_scriptfile} ${tclthreaded_script})
-	  EXEC_PROGRAM(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+	  exec_program(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
 	  file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_THREADED readresultvar)
 	  string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 	endmacro()
@@ -488,10 +488,10 @@
 	      foreach(SPATH ${${pathnames}})
 		set(TCL_CURRENTPATH TCL-NOTFOUND)
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		if(dosearch)
-		  FIND_PROGRAM_PATHS(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		  FIND_LIBRARY_PATHS(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_program_paths(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_library_paths(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		  foreach(targetbin ${targetbinnames})
 		    if(TCL_CURRENTPATH MATCHES "NOTFOUND$")
 		      find_program(TCL_CURRENTPATH NAMES ${targetbin}${MAJORNUM}.${MINORNUM} ${targetbin}${MAJORNUM}${MINORNUM} PATHS ${BIN_POSSIBLE_PATHS} ${options})
@@ -529,7 +529,7 @@
 	    foreach(MAJORNUM ${TCL_POSSIBLE_MAJOR_VERSIONS})
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(isvalid ${CURRENT_SEARCH_VERSION})
+		validate_version(isvalid ${CURRENT_SEARCH_VERSION})
 		if(isvalid)
 		  foreach(genpath ${CONFIG_SEARCH_PATHS})
 		    set(CONFGENPATHS "${CONFGENPATHS};${genpath}${MAJORNUM}${MINORNUM};${genpath}${MAJORNUM}.${MINORNUM}")
@@ -619,7 +619,7 @@
 	#-----------------------------------------------------------------------------
 
 	macro(READ_TCLCONFIG_FILE tclconffile)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  set(TCL_CONF_FILE "")
 	  file(READ ${tclconffile} TCL_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TCL_CONF_FILE}")
@@ -646,15 +646,15 @@
 		set(TCL_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TCL_EXEC_PREFIX='(.+)'.*" "\\1" TCL_TCLSH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 	      endif()
 	    endif()
@@ -669,7 +669,7 @@
 
 
 	macro(READ_TKCONFIG_FILE tkconffile)
-	  RESET_TK_VARS()
+	  reset_tk_vars()
 	  set(TK_CONF_FILE "")
 	  file(READ ${tkconffile} TK_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TK_CONF_FILE}")
@@ -696,15 +696,15 @@
 		set(TK_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TK_EXEC_PREFIX='(.+)'.*" "\\1" TCL_WISH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish")
 	      endif()
 	    endif()
@@ -723,16 +723,16 @@
 
 	macro(VALIDATE_TCL validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TCL_VARIABLES(${validvar})
+	  validate_tcl_variables(${validvar})
 	  if(TCL_TCLSH_EXECUTABLE)
-	    TCL_GET_VERSION(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
-	    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+	    tcl_get_version(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
+	    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 	    if(NOT dosearch)
 	      set(${validvar} 0)
 	    endif(NOT dosearch)
 	  endif(TCL_TCLSH_EXECUTABLE)
 	  if(TCL_REQUIRE_THREADS AND TCL_TCLSH_EXECUTABLE)
-	    TCL_ISTHREADED(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
+	    tcl_isthreaded(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
 	    if(NOT TCL_THREADS)
 	      set(${validvar} 0)
 	    endif(NOT TCL_THREADS)
@@ -741,9 +741,9 @@
 
 	macro(VALIDATE_TK validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TK_VARIABLES(${validvar})
+	  validate_tk_variables(${validvar})
 	  if(TK_NATIVE_GRAPHICS OR TK_X11_GRAPHICS)
-	    TK_GRAPHICS_SYSTEM(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
+	    tk_graphics_system(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
 	    if(APPLE AND TK_NATIVE_GRAPHICS)
 	      if(NOT ${TK_SYSTEM_GRAPHICS} MATCHES "aqua")
 		set(${validvar} 0)
@@ -852,19 +852,19 @@
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT}/lib)
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT})
 	    list(REMOVE_DUPLICATES TCL_PREFIX_LIBDIRS)
-	    FIND_LIBRARY_VERSIONS(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	    find_library_versions(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	    set(FOUND_FILES "${TCL_tcl_LIST}")
-	    FIND_CONFIG_FILES(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
+	    find_config_files(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
 	    if(TCL_REQUIRE_TK)
-	      FIND_LIBRARY_VERSIONS(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	      find_library_versions(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	      set(FOUND_FILES "${TCL_tk_LIST}")
-	      FIND_CONFIG_FILES(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
 	    endif(TCL_REQUIRE_TK)
 	  else(TCL_PREFIX)
 	    set(TCLCONFIG_LIST "")
 	    if(APPLE)
 	      include(CMakeFindFrameworks)
-	      CMAKE_FIND_FRAMEWORKS(Tcl)
+	      cmake_find_frameworks(Tcl)
 	      foreach(dir ${Tcl_FRAMEWORKS})
 		set(tclconf "tclConfig.sh-NOTFOUND") 
 		find_file(tclconf tclConfig.sh PATHS ${dir})
@@ -874,7 +874,7 @@
 		endif(NOT tclconf MATCHES "NOTFOUND$")
 	      endforeach(dir ${Tcl_FRAMEWORKS})
 	      if(TCL_REQUIRE_TK)
-		CMAKE_FIND_FRAMEWORKS(Tk)
+		cmake_find_frameworks(Tk)
 		foreach(dir ${Tk_FRAMEWORKS})
 		  set(tkconf "tkConfig.sh-NOTFOUND") 
 		  find_file(tkconf tkConfig.sh PATHS ${dir})
@@ -889,7 +889,7 @@
 	      set(PATHLIST "$ENV{LD_LIBRARY_PATH}:$ENV{DYLD_LIBRARY_PATH}:$ENV{DYLD_FALLBACK_LIBRARY_PATH}:$ENV{PATH}")
 	      set(PATHLIST "${TCL_ADDITIONAL_SEARCH_PATHS}:${PATHLIST}")
 	      if(WIN32)
-		WIN32TCLPATHS(PATHLIST "")
+		win32tclpaths(PATHLIST "")
 	      endif(WIN32)
 	      string(REGEX REPLACE "/s?bin:" ":" PATHLIST "${PATHLIST}")
 	      string(REGEX REPLACE "/s?bin;" ":" PATHLIST "${PATHLIST}")
@@ -906,41 +906,41 @@
 	      endforeach()
 	      set(TCLPATHLIST "${PATHLIST}")
 	      set(TKPATHLIST "${PATHLIST}")
-	      FIND_POSSIBLE_PATHS("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
+	      find_possible_paths("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
 	      if(TCL_REQUIRE_TK)
-		FIND_POSSIBLE_PATHS("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
+		find_possible_paths("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
 	      endif(TCL_REQUIRE_TK)
 	      # Hunt up tclConfig.sh files
-	      FIND_CONFIG_FILES(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
+	      find_config_files(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
 	      # Hunt up tkConfig.sh files 
-	      FIND_CONFIG_FILES(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
 	    endif(NOT APPLE OR NOT TCL_USE_FRAMEWORK_ONLY)
 	  endif(TCL_PREFIX)
 	  set(TCLVALID 0)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  foreach(tcl_config_file ${TCLCONFIG_LIST}) 
 	    if(NOT TCLVALID)
-	      RESET_TCL_VARS()
-	      READ_TCLCONFIG_file(${tcl_config_file})
+	      reset_tcl_vars()
+	      read_tclconfig_file(${tcl_config_file})
 	      set(TCLVALID 1)
 	      set(CURRENTTCLVERSION "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	      VALIDATE_VERSION(TCLVALID ${CURRENTTCLVERSION})
+	      validate_version(TCLVALID ${CURRENTTCLVERSION})
 	      if(TCLVALID)
 		get_filename_component(TCL_CONF_PREFIX "${tcl_config_file}" PATH)
 		get_filename_component(TCL_LIBRARY_DIR2 "${TCL_CONF_PREFIX}" PATH)
-		FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
+		find_library_paths(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
 		set(TCL_LIBRARY_SEARCH_PATHS "${TCL_CONF_PREFIX};${TCL_LIBRARY_DIR2};${TCL_LIBRARY_SEARCH_PATHS}")
 		find_library(TCL_LIBRARY tcl Tcl tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tcl${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 		find_library(TCL_STUB_LIBRARY tclstub${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tclstub${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 	      endif(TCLVALID)
-	      VALIDATE_TCL(TCLVALID)
+	      validate_tcl(TCLVALID)
 	      if(TCLVALID)
 		if(TCL_REQUIRE_TK)
 		  set(TKVALID 0)
 		  foreach(tk_config_file ${TKCONFIG_LIST})
 		    if(NOT TKVALID)
-		      RESET_TK_VARS()
-		      READ_TKCONFIG_file(${tk_config_file})
+		      reset_tk_vars()
+		      read_tkconfig_file(${tk_config_file})
 		      set(TKVALID 0)
 		      set(CURRENTTKVERSION "${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}.${TK_VERSION_PATCH}")
 		      set(vtcltkcompare 0)
@@ -952,18 +952,18 @@
 		      if(TKVALID)
 			get_filename_component(TCL_TK_CONF_PREFIX "${tk_config_file}" PATH)
 			get_filename_component(TCL_TK_LIBRARY_DIR2 "${TCL_TK_CONF_PREFIX}" PATH)
-			FIND_LIBRARY_PATHS(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
+			find_library_paths(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
 			set(TCL_TK_LIBRARY_SEARCH_PATHS "${TCL_TK_CONF_PREFIX};${TCL_TK_LIBRARY_DIR2};${TCL_TK_LIBRARY_SEARCH_PATHS}")
 			find_library(TCL_TK_LIBRARY tk Tk tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tk${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 			find_library(TCL_TK_STUB_LIBRARY tkstub tkstub${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tkstub${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 		      endif(TKVALID)
 		    endif(NOT TKVALID)
 		  endforeach(tk_config_file ${TKCONFIG_LIST})
 		  if(NOT TKVALID)
 		    set(TCLVALID 0)
-		    RESET_TCL_VARS()
-		    RESET_TK_VARS()
+		    reset_tcl_vars()
+		    reset_tk_vars()
 		  endif(NOT TKVALID)
 		endif(TCL_REQUIRE_TK)
 	      endif(TCLVALID)
@@ -983,29 +983,29 @@
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		foreach(SPATH ${PATHLIST})
 		  if(NOT TCLVALID)
-		    RESET_TCL_VARS()
+		    reset_tcl_vars()
 		    set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		    if(dosearch)
-		      FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		      FIND_PROGRAM_PATHS(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_library_paths(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_program_paths(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		      find_program(TCL_TCLSH_EXECUTABLE NAMES tclsh${MAJORNUM}.${MINORNUM} tclsh${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
 		    endif(dosearch)
-		    VALIDATE_TCL(TCLVALID)
+		    validate_tcl(TCLVALID)
 		    if(TCLVALID)
 		      if(TCL_REQUIRE_TK)
 			set(TKVALID 0)
-			RESET_TK_VARS()
+			reset_tk_vars()
 			find_program(TCL_WISH_EXECUTABLE NAMES wish${MAJORNUM}.${MINORNUM} wish${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 			if(NOT TKVALID)
 			  set(TCLVALID 0)
-			  RESET_TCL_VARS()
-			  RESET_TK_VARS()
+			  reset_tcl_vars()
+			  reset_tk_vars()
 			endif(NOT TKVALID)	
 		      endif(TCL_REQUIRE_TK)
 		    else(TCLVALID)
-		      RESET_TCL_VARS()
+		      reset_tcl_vars()
 		    endif(TCLVALID)
 		  endif(NOT TCLVALID)
 		endforeach(SPATH ${PATHLIST})
@@ -1023,11 +1023,11 @@
 	  set(TCL_STUB_LIBRARIES ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY})
 	  set(TCL_ROOT_PATH ${TCL_CONF_PREFIX})
 	  set(TCL_VERSION_STRING "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	  FIND_PACKAGE_HANDLE_STANDARD_ARGS(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
+	  find_package_handle_standard_args(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  if(TCL_REQUIRE_TK)
 	    set(TK_FIND_QUIETLY ${TCL_FIND_QUIETLY})
 	    set(PACKAGE_HANDLE_VARS "${PACKAGE_HANDLE_VARS};TCL_LIBRARY")
-	    FIND_PACKAGE_HANDLE_STANDARD_ARGS(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
+	    find_package_handle_standard_args(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  endif(TCL_REQUIRE_TK)
 
 	  foreach(pkgvar ${PACKAGE_HANDLE_VARS})
Index: src/other/togl/CMake/CheckFunctions.cmake
===================================================================
--- src/other/togl/CMake/CheckFunctions.cmake	(revision 54114)
+++ src/other/togl/CMake/CheckFunctions.cmake	(working copy)
@@ -1,22 +1,22 @@
 # Automate putting variables from tests into a config.h.in file,
 # and otherwise wrap check macros in extra logic as needed
 
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckPrototypeExists)
-INCLUDE(CheckCSourceRuns)
+include(CheckIncludeFile)
+include(CheckPrototypeExists)
+include(CheckCSourceRuns)
 # Based on AC_HEADER_STDC - using the source code for ctype
 # checking found in the generated configure file
-MACRO(CMAKE_HEADER_STDC)
-  CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
-  CHECK_INCLUDE_FILE(stdarg.h HAVE_STDARG_H)
-  CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
-  CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-  CHECK_INCLUDE_FILE(float.h HAVE_FLOAT_H)
-  CHECK_PROTOTYPE_EXISTS(memchr string.h HAVE_STRING_H_MEMCHR)
-  CHECK_PROTOTYPE_EXISTS(free stdlib.h HAVE_STDLIB_H_FREE)
-  CHECK_C_SOURCE_RUNS(${CMAKE_CURRENT_SOURCE_DIR}/CMake/test_srcs/ctypes_test.c WORKING_CTYPE_MACROS)
-  IF(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
-	  SET(STDC_HEADERS 1)
-  ENDIF(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
-ENDMACRO(CMAKE_HEADER_STDC)
+macro(CMAKE_HEADER_STDC)
+  check_include_file(stdlib.h HAVE_STDLIB_H)
+  check_include_file(stdarg.h HAVE_STDARG_H)
+  check_include_file(string.h HAVE_STRING_H)
+  check_include_file(strings.h HAVE_STRINGS_H)
+  check_include_file(float.h HAVE_FLOAT_H)
+  check_prototype_exists(memchr string.h HAVE_STRING_H_MEMCHR)
+  check_prototype_exists(free stdlib.h HAVE_STDLIB_H_FREE)
+  check_c_source_runs(${CMAKE_CURRENT_SOURCE_DIR}/CMake/test_srcs/ctypes_test.c WORKING_CTYPE_MACROS)
+  if(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
+	  set(STDC_HEADERS 1)
+  endif(HAVE_STDLIB_H AND HAVE_STDARG_H AND HAVE_STRING_H AND HAVE_FLOAT_H AND WORKING_CTYPE_MACROS)
+endmacro(CMAKE_HEADER_STDC)
 
Index: src/other/togl/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/togl/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/togl/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 # 
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,33 +105,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
Index: src/other/togl/include/CMakeLists.txt
===================================================================
--- src/other/togl/include/CMakeLists.txt	(revision 54114)
+++ src/other/togl/include/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-SET(TOGL_HDRS
+set(TOGL_HDRS
 	togl.h
 	${CMAKE_CURRENT_BINARY_DIR}/togl_config.h
 	${CMAKE_CURRENT_BINARY_DIR}/../src/toglDecls.h
Index: src/other/togl/demo/CMakeLists.txt
===================================================================
--- src/other/togl/demo/CMakeLists.txt	(revision 54114)
+++ src/other/togl/demo/CMakeLists.txt	(working copy)
@@ -8,12 +8,12 @@
 	${CMAKE_CURRENT_BINARY_DIR}/../include
 	)
 
-SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
-IF(NOT WIN32)
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+if(NOT WIN32)
 	add_library(gears SHARED gears.c)
 	target_link_libraries(gears togl)
 	set_target_properties(gears PROPERTIES PREFIX "")
 	if(NOT "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
 	  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gears.tcl ${CMAKE_CURRENT_BINARY_DIR}/gears.tcl COPYONLY)
 	endif(NOT "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
-ENDIF(NOT WIN32)
+endif(NOT WIN32)
Index: src/other/togl/src/CMakeLists.txt
===================================================================
--- src/other/togl/src/CMakeLists.txt	(revision 54114)
+++ src/other/togl/src/CMakeLists.txt	(working copy)
@@ -17,7 +17,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/../include/tcltk/tk${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}
 	)
 
-SET(TOGL_STUB_INIT_TXT "
+set(TOGL_STUB_INIT_TXT "
 /*
  * Togl - a Tk OpenGL widget
  *
@@ -37,7 +37,7 @@
 
 ")
 
-SET(TOGL_DECLS_H_TXT "
+set(TOGL_DECLS_H_TXT "
 #ifndef ToglDecls_H
 #  define ToglDecls_H
 
@@ -57,11 +57,11 @@
 
 ")
 
-FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs)
-FILE(WRITE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/toglStubInit.c "${TOGL_STUB_INIT_TXT}")
-FILE(WRITE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/toglDecls.h "${TOGL_DECLS_H_TXT}")
+file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs)
+file(WRITE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/toglStubInit.c "${TOGL_STUB_INIT_TXT}")
+file(WRITE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/toglDecls.h "${TOGL_DECLS_H_TXT}")
 
-ADD_CUSTOM_COMMAND(
+add_custom_command(
 	OUTPUT ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/STUBSDONE ${CMAKE_CURRENT_BINARY_DIR}/STUBSSYNCED ${CMAKE_CURRENT_BINARY_DIR}/toglStubInit.c ${CMAKE_CURRENT_BINARY_DIR}/toglDecls.h
 	COMMAND ${TCL_TCLSH} ${CMAKE_CURRENT_SOURCE_DIR}/../tools/genStubs.tcl ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs ${CMAKE_CURRENT_SOURCE_DIR}/togl.decls
 	COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/toglStubInit.c ${CMAKE_CURRENT_BINARY_DIR}/toglStubInit.c
@@ -71,24 +71,24 @@
 	COMMENT "Generating toglStubInit.c and toglDecls.h"
 )
 
-ADD_CUSTOM_TARGET(togl_stubs_gen ALL
+add_custom_target(togl_stubs_gen ALL
 	DEPENDS ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/STUBSDONE
 	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/STUBSSYNCED
 )
 
 # If we re-run cmake, need to ensure we re-run togl_stubs_gen too
-FILE(REMOVE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/STUBSDONE)
-FILE(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/STUBSSYNCED)
+file(REMOVE ${CMAKE_BINARY_DIR}/CMakeTmp/toglstubs/STUBSDONE)
+file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/STUBSSYNCED)
 
-IF(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
-	SET(TOGL_XMU_SRCS
+if(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
+	set(TOGL_XMU_SRCS
 		Xmu/CmapAlloc.c
 		Xmu/CrCmap.c
 		Xmu/DelCmap.c
 		Xmu/LookupCmap.c
 		Xmu/StdCmap.c
 		)
-    SET(TOGL_SRCS
+    set(TOGL_SRCS
         glew/glew.c
         ${TOGL_XMU_SRCS}
         togl.c
@@ -96,35 +96,35 @@
         toglStubLib.c
         ${CMAKE_CURRENT_BINARY_DIR}/toglStubInit.c
         )
-ELSE(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
-    SET(TOGL_SRCS
+else(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
+    set(TOGL_SRCS
         ${TOGL_XMU_SRCS}
         togl.c
         toglProcAddr.c
         toglStubLib.c
         ${CMAKE_CURRENT_BINARY_DIR}/toglStubInit.c
         )
-ENDIF(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
+endif(TOGL_WINDOWINGSYSTEM MATCHES "TOGL_X11")
 
 add_library(togl SHARED ${TOGL_SRCS})
-ADD_DEPENDENCIES(togl togl_stubs_gen)
-IF(WIN32)
+add_dependencies(togl togl_stubs_gen)
+if(WIN32)
 	target_link_libraries(togl ${TCL_STUB_LIBRARIES} ${X11_LIBRARIES} ${OPENGL_LIBRARIES})
-ELSE(WIN32)
+else(WIN32)
 	target_link_libraries(togl ${TCL_LIBRARIES} ${X11_LIBRARIES} ${OPENGL_LIBRARIES})
-ENDIF(WIN32)
+endif(WIN32)
 install(TARGETS togl 
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
 
 add_library(toglstub STATIC ${CMAKE_CURRENT_BINARY_DIR}/toglStubInit.c toglStubLib.c)
-ADD_DEPENDENCIES(toglstub togl_stubs_gen)
+add_dependencies(toglstub togl_stubs_gen)
 install(TARGETS toglstub
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
-MARK_AS_ADVANCED(TOGL_STUB_LIBRARIES)
+mark_as_advanced(TOGL_STUB_LIBRARIES)
 
 # Create the pkgIndex.tcl file.
-TCL_PKGINDEX(togl ${TOGL_PKGNAME} ${TOGL_PKGVERSION})
+tcl_pkgindex(togl ${TOGL_PKGNAME} ${TOGL_PKGVERSION})
